﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/1999/xhtml">
	<xsl:template match="/">

		<html>
			<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
			<head>
				<TITLE>TOTVS - Relat&#xF3;rio Convers&#xE3;o</TITLE>
				<LINK href="default.css" rel="stylesheet" type="text/css"/>
			</head>

			<body>
				<p>&#160;</p>
				<p><img src="totvs.png" width="256" border="0"/></p>
				<h1>Relat&#xF3;rio Convers&#xE3;o</h1>
				<br/><br/><br/>
				<h3>Parâmetros do Processo</h3>
				<table>
					<tr class="ptitle"><th>Configuração</th><th>Valor</th></tr>
					<tr><td align="right">Atualização:</td><td><xsl:value-of select="/Conversao/Id" /></td></tr>
					<tr><td align="right">Fix:</td><td><xsl:value-of select="/Conversao/Fix" /></td></tr>
					<tr><td align="right">Vers&#xE3;o Destino:</td><td><xsl:value-of select="/Conversao/Versao" /></td></tr>
					<tr><td align="right">Vers&#xE3;o Console:</td><td><xsl:value-of select="/Conversao/Console" /></td></tr>
					<tr><td align="right">Arquivo de mensagens:</td><td><xsl:value-of select="/Conversao/Mensagem" /></td></tr>
					<tr><td align="right">Diret&#xF3;rio:</td><td><xsl:value-of select="/Conversao/Diretorio" /></td></tr>
					<tr><td align="right">Executa Multi-Empresa?</td><td><xsl:value-of select="/Conversao/ExecutaMulti" /></td></tr>
					<tr><td align="right">Bancos Unificados?</td><td><xsl:value-of select="/Conversao/BancosUnificados" /></td></tr>
					<tr><td align="right">Tipo de Banco:</td><td><xsl:value-of select="/Conversao/TipoBanco" /></td></tr>
					<tr><td align="right">Diretório Progress:</td><td><xsl:value-of select="/Conversao/DiretorioProgress" /></td></tr>
					<tr><td align="right">Usa Appserver?</td><td><xsl:value-of select="/Conversao/Appserver" /></td></tr>
					<tr><td align="right">Segurança Aplicada?</td><td><xsl:value-of select="/Conversao/SegurancaAplicada" /></td></tr>
					<xsl:if test="(/Conversao/SegurancaAplicada = 'Sim')">
						<tr><td align="right">Usuário</td><td><xsl:value-of select="/Conversao/UsuarioSeguranca" /></td></tr>
					</xsl:if>
				</table>

				<xsl:if test="(/Conversao/Appserver = 'Sim')">
					<br/><br/><br/>
					<h3>Appservers disponibilizados</h3>
					<table>
						<tr class="ptitle">
							<th>Appserver</th>
							<th>Parâmetro de Conexão</th>
						</tr>
						<xsl:for-each select="/Conversao/Appservers/Appserver">
							<tr class="pdefault">
								<td><xsl:value-of select="concat(' ', Server)"/></td>
								<td><xsl:value-of select="concat(' ', Parametro)"/></td>
							</tr>
						</xsl:for-each>
					</table>
				</xsl:if>
        
        <xsl:if test="(/Conversao/TemEmpresa = 'Sim')">
          <br/><br/><br/>
          <h3>Empresas do processo</h3>
          <table>
            <tr class="ptitle">
              <th>Empresa</th>
              <th>Arquivo .pf</th>
              <th>Alias</th>
            </tr>
            <xsl:for-each select="/Conversao/Empresas/Empresa">
              <tr class="pdefault">
                <td><xsl:value-of select="concat(' ', Codigo)"/></td>
                <td><xsl:value-of select="concat(' ', Pf)"/></td>
                <td><xsl:value-of select="concat(' ', Alias)"/></td>
              </tr>
            </xsl:for-each>
          </table>
        </xsl:if>
        
        <xsl:if test="(/Conversao/TemParamConsole = 'Sim')">
          <br/><br/><br/>
          <h3>Parâmetros informados</h3>
          <table>
            <tr class="ptitle">
              <th>Parâmetro</th>
              <th>Valor</th>
            </tr>
            <xsl:for-each select="/Conversao/Parametros/Parametro">
              <tr class="pdefault">
                <td>
                  <xsl:value-of select="concat(' ', Codigo)"/>
                </td>
                <td>
                  <xsl:value-of select="concat(' ', Valor)"/>
                </td>
              </tr>
            </xsl:for-each>
          </table>
        </xsl:if>
        
        <xsl:if test="(/Conversao/TemDif = 'Sim')">
          <br/><br/><br/>
          <h3>Problemas em definições</h3>
          <table>
            <tr class="ptitle">
              <th>Empresa</th>
              <th>Banco</th>
              <th>Parâmetros de Conexão</th>
            </tr>
            <xsl:for-each select="/Conversao/Diferencas/Banco">
              <tr class="pdefault">
                <td><xsl:value-of select="concat(' ', Empresa)"/></td>
                <td><xsl:value-of select="concat(' ', Banco)"/></td>
                <td><xsl:value-of select="concat(' ', Param)"/></td>
              </tr>
            </xsl:for-each>
          </table>
          <br/>
          <table>
            <tr class="ptitle">
              <th>Empresa</th>
              <th>Banco</th>
              <th>Tabela</th>
              <th>Diferença</th>
            </tr>
            <xsl:for-each select="/Conversao/Diferencas/Diferenca">
              <tr class="pdefault">
                <td><xsl:value-of select="concat(' ', Empresa)"/></td>
                <td><xsl:value-of select="concat(' ', Banco)"/></td>
                <td><xsl:value-of select="concat(' ', Tabela)"/></td>
                <td><xsl:value-of select="concat(' ', Dif)"/></td>
              </tr>
            </xsl:for-each>
          </table>
        </xsl:if>

        <xsl:if test="(/Conversao/TemPremissa = 'Sim')">
          <br/><br/><br/>
          <h3>Premissas</h3>
          <table>
            <tr class="ptitle">
              <th>Empresa</th>
              <th>Banco</th>
              <th>Parâmetros de Conexão</th>
            </tr>
            <xsl:for-each select="/Conversao/Premissas/Banco">
              <tr class="pdefault">
                <td><xsl:value-of select="concat(' ', Empresa)"/></td>
                <td><xsl:value-of select="concat(' ', Banco)"/></td>
                <td><xsl:value-of select="concat(' ', Param)"/></td>
              </tr>
            </xsl:for-each>
          </table>
          <br/>
          <table>
            <tr class="ptitle">
              <th>Empresa</th>
              <th>Premissa</th>
              <th>Status</th>
              <th>Tempo</th>
            </tr>
            <xsl:for-each select="/Conversao/Premissas/Premissa">
              <tr class="pdefault">
                <td><xsl:value-of select="concat(' ', Empresa)"/></td>
                <td><xsl:value-of select="concat(' ', Prem)"/></td>
                <td><xsl:value-of select="concat(' ', Status)"/></td>
                <td><xsl:value-of select="concat(' ', Tempo)"/></td>
              </tr>
            </xsl:for-each>
          </table>
        </xsl:if>

        <xsl:if test="(/Conversao/TemConfDado = 'Sim')">
          <br/><br/><br/>
          <h3>Conferência de dados</h3>
          <table>
            <tr class="ptitle">
              <th>Empresa</th>
              <th>Banco</th>
              <th>Parâmetros de Conexão</th>
            </tr>
            <xsl:for-each select="/Conversao/ConfDados/Banco">
              <tr class="pdefault">
                <td><xsl:value-of select="concat(' ', Empresa)"/></td>
                <td><xsl:value-of select="concat(' ', Banco)"/></td>
                <td><xsl:value-of select="concat(' ', Param)"/></td>
              </tr>
            </xsl:for-each>
          </table>
          <br/>
          <table>
            <tr class="ptitle">
              <th>Empresa</th>
              <th>Tabela</th>
              <th>Status</th>
              <th>Tempo</th>
              <th>Registros</th>
            </tr>
            <xsl:for-each select="/Conversao/ConfDados/ConfDado">
              <tr class="pdefault">
                <td><xsl:value-of select="concat(' ', Empresa)"/></td>
                <td><xsl:value-of select="concat(' ', Tabela)"/></td>
                <td><xsl:value-of select="concat(' ', Status)"/></td>
                <td><xsl:value-of select="concat(' ', Tempo)"/></td>
                <td><xsl:value-of select="concat(' ', Reg)"/></td>
              </tr>
            </xsl:for-each>
          </table>
        </xsl:if>

        <xsl:if test="(/Conversao/TemDfPrep = 'Sim')">
          <br/><br/><br/>
          <h3>Preparação de dicionário</h3>
          <table>
            <tr class="ptitle">
              <th>Empresa</th>
              <th>Banco</th>
              <th>Parâmetros de Conexão</th>
            </tr>
            <xsl:for-each select="/Conversao/DfPreps/Banco">
              <tr class="pdefault">
                <td><xsl:value-of select="concat(' ', Empresa)"/></td>
                <td><xsl:value-of select="concat(' ', Banco)"/></td>
                <td><xsl:value-of select="concat(' ', Param)"/></td>
              </tr>
            </xsl:for-each>
          </table>
          <br/>
          <table>
            <tr class="ptitle">
              <th>Empresa</th>
              <th>Banco</th>
              <th>Definição</th>
              <th>Status</th>
              <th>Tempo</th>
            </tr>
            <xsl:for-each select="/Conversao/DfPreps/DfPrep">
              <tr class="pdefault">
                <td><xsl:value-of select="concat(' ', Empresa)"/></td>
                <td><xsl:value-of select="concat(' ', Banco)"/></td>
                <td><xsl:value-of select="concat(' ', Df)"/></td>
                <td><xsl:value-of select="concat(' ', Status)"/></td>
                <td><xsl:value-of select="concat(' ', Tempo)"/></td>
              </tr>
            </xsl:for-each>
          </table>
        </xsl:if>

        <xsl:if test="(/Conversao/TemConvDado = 'Sim')">
          <br/><br/><br/>
          <h3>Atualização de dados</h3>
          <table>
            <tr class="ptitle">
              <th>Empresa</th>
              <th>Banco</th>
              <th>Parâmetros de Conexão</th>
            </tr>
            <xsl:for-each select="/Conversao/ConvDados/Banco">
              <tr class="pdefault">
                <td><xsl:value-of select="concat(' ', Empresa)"/></td>
                <td><xsl:value-of select="concat(' ', Banco)"/></td>
                <td><xsl:value-of select="concat(' ', Param)"/></td>
              </tr>
            </xsl:for-each>
          </table>
          <br/>
          <table>
            <tr class="ptitle">
              <th>Empresa</th>
              <th>Tabela</th>
              <th>Status</th>
              <th>Tempo</th>
              <th>Registros</th>
            </tr>
            <xsl:for-each select="/Conversao/ConvDados/ConvDado">
              <tr class="pdefault">
                <td><xsl:value-of select="concat(' ', Empresa)"/></td>
                <td><xsl:value-of select="concat(' ', Tabela)"/></td>
                <td><xsl:value-of select="concat(' ', Status)"/></td>
                <td><xsl:value-of select="concat(' ', Tempo)"/></td>
                <td><xsl:value-of select="concat(' ', Reg)"/></td>
              </tr>
            </xsl:for-each>
          </table>
        </xsl:if>

        <xsl:if test="(/Conversao/TemDfCorr = 'Sim')">
          <br/><br/><br/>
          <h3>Correção de dicionário</h3>
          <table>
            <tr class="ptitle">
              <th>Empresa</th>
              <th>Banco</th>
              <th>Parâmetros de Conexão</th>
            </tr>
            <xsl:for-each select="/Conversao/DfCorrs/Banco">
              <tr class="pdefault">
                <td><xsl:value-of select="concat(' ', Empresa)"/></td>
                <td><xsl:value-of select="concat(' ', Banco)"/></td>
                <td><xsl:value-of select="concat(' ', Param)"/></td>
              </tr>
            </xsl:for-each>
          </table>
          <br/>
          <table>
            <tr class="ptitle">
              <th>Empresa</th>
              <th>Banco</th>
              <th>Definição</th>
              <th>Status</th>
              <th>Tempo</th>
            </tr>
            <xsl:for-each select="/Conversao/DfCorrs/DfCorr">
              <tr class="pdefault">
                <td><xsl:value-of select="concat(' ', Empresa)"/></td>
                <td><xsl:value-of select="concat(' ', Banco)"/></td>
                <td><xsl:value-of select="concat(' ', Df)"/></td>
                <td><xsl:value-of select="concat(' ', Status)"/></td>
                <td><xsl:value-of select="concat(' ', Tempo)"/></td>
              </tr>
            </xsl:for-each>
          </table>
        </xsl:if>
        				
        <xsl:if test="(/Conversao/TemArquivo = 'Sim')">
          <br/><br/><br/>
          <h3>Programas e Ambiente</h3>
          <table>
            <tr class="ptitle">
              <th>Arquivo</th>
              <th>Tipo</th>
              <th>Status</th>
              <th>Tempo</th>
            </tr>
            <xsl:for-each select="/Conversao/Arquivos/Arquivo">
              <tr class="pdefault">
                <td><xsl:value-of select="concat(' ', Arquivo)"/></td>
                <td><xsl:value-of select="concat(' ', Tipo)"/></td>
                <td><xsl:value-of select="concat(' ', Status)"/></td>
                <td><xsl:value-of select="concat(' ', Tempo)"/></td>
              </tr>
            </xsl:for-each>
          </table>
        </xsl:if>
				<p>&#160;</p>
				<p>&#160;</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2009. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="teste_conf.xml" htmlbaseurl="" outputurl="output.html" processortype="saxon8" useresolver="no" profilemode="0" profiledepth="" profilelength=""
		          urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal"
		          customvalidator="">
			<advancedProp name="sInitialMode" value=""/>
			<advancedProp name="bXsltOneIsOkay" value="true"/>
			<advancedProp name="bSchemaAware" value="false"/>
			<advancedProp name="bXml11" value="false"/>
			<advancedProp name="iValidation" value="0"/>
			<advancedProp name="bExtensions" value="true"/>
			<advancedProp name="iWhitespace" value="0"/>
			<advancedProp name="sInitialTemplate" value=""/>
			<advancedProp name="bTinyTree" value="true"/>
			<advancedProp name="bWarnings" value="true"/>
			<advancedProp name="bUseDTD" value="false"/>
			<advancedProp name="iErrorHandling" value="fatal"/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no">
			<SourceSchema srcSchemaPath="teste_conf.xml" srcSchemaRoot="Conversao" AssociatedInstance="" loaderFunction="document" loaderFunctionUsesURI="no"/>
		</MapperInfo>
		<MapperBlockPosition>
			<template match="/">
				<block path="html/body/table/xsl:for-each" x="214" y="109"/>
				<block path="html/body/table/xsl:for-each/tr/xsl:if" x="174" y="109"/>
				<block path="html/body/table/xsl:for-each/tr/xsl:if/xsl:attribute/xsl:value-of" x="254" y="109"/>
				<block path="html/body/table/xsl:for-each/tr/td/xsl:value-of" x="134" y="109"/>
				<block path="html/body/table/xsl:for-each/tr/td[1]/xsl:value-of" x="94" y="109"/>
				<block path="html/body/table/xsl:for-each/tr/td[2]/xsl:value-of" x="54" y="109"/>
				<block path="html/body/table/xsl:for-each/tr/td[3]/xsl:value-of" x="14" y="109"/>
				<block path="html/body/table/xsl:for-each/tr/td[4]/xsl:value-of" x="214" y="69"/>
				<block path="html/body/table/xsl:for-each/tr/td[5]/xsl:value-of" x="254" y="69"/>
				<block path="html/body/table/xsl:for-each/tr/td[6]/xsl:value-of" x="174" y="69"/>
				<block path="html/body/table/xsl:for-each/tr/td[7]/xsl:value-of" x="134" y="69"/>
				<block path="html/body/table/xsl:for-each/tr/td[8]/xsl:value-of" x="94" y="69"/>
				<block path="html/body/table/xsl:for-each/tr/td[9]/xsl:value-of" x="54" y="69"/>
				<block path="html/body/table/xsl:for-each/tr/td[10]/xsl:value-of" x="14" y="69"/>
			</template>
		</MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
-->